Overview
DELETE
/persona/provider-templates/{id}personaDelete a provider template and its models (admin)
Delete a record from provider-templates by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
Success
- okboolean
Example
{
"ok": true
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/persona/provider-templates/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/provider-templates/{id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();